using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Base;
using Help;

public partial class admin_Help_HelpCenterList : BasePage
{
    private int pageSize = 12;//这里设置分页尺寸
    #region
    public int Pageindex
    {
        //页下标属性
        set
        {
            this.ViewState["pgindex"] = value;
        }
        get
        {
            int index = 1;
            object o = this.ViewState["pgindex"];
            if (o != null)
            {
                index = (int)o;
            }
            return index;
        }
    }
    public int PageCount
    {
        //总页数
        set { this.ViewState["pagecount"] = value; }
        get
        {
            int pagecot = 1;
            object od = this.ViewState["pagecount"];
            if (od != null)
            {
                pagecot = (int)od;
            }
            return pagecot;
        }
    }
    #endregion
    protected void Page_Load(object sender, EventArgs e)
    {
        CheckRights("column", "D1");
        if (!IsPostBack)
        {
            Bind();
        }
    }
    #region 数据绑定
    private void Bind()
    {
        try
        {
            string strWhere = " 1=1";
            string table = "W_HelpCenter a inner join W_HelpType b on a.TypeID=b.ID";
            string select = "a.ID,a.Title,a.Info,a.AddDate,b.Name";
            DataTable dt = PageList.GetDataTable(strWhere, table, 1, "AddDate", select, pageSize, Pageindex, 0);
            DataTable tb = PageList.GetDataTable(strWhere, table);
            PageCount = Convert.ToInt32(tb.Rows[0]["Total"]);
            this.txt_pageCount.Text = PageCount.ToString();
            if (Pageindex == 1)
            {
                this.btn_pageFirst.Enabled = false;
                this.btn_pageLast.Enabled = false;
            }
            else
            {
                this.btn_pageFirst.Enabled = true;
                this.btn_pageLast.Enabled = true;
            }
            if (Pageindex == (PageCount % pageSize == 0 ? PageCount / pageSize : (PageCount / pageSize) + 1))
            {
                this.btn_pageNext.Enabled = false;
                this.btn_pageFoot.Enabled = false;
            }
            else
            {
                this.btn_pageNext.Enabled = true;
                this.btn_pageFoot.Enabled = true;
            }
            this.txt_begin.Text = Pageindex.ToString();
            this.txt_pageAll.Text = Convert.ToString((PageCount % pageSize == 0 ? PageCount / pageSize : (PageCount / pageSize) + 1));
            this.txt_PageNum.Text = Pageindex.ToString();

            gvHelpCenter.DataSource = dt.DefaultView;
            gvHelpCenter.DataBind();
        }
        catch (Exception ex)
        {
            ShowMessage(ex.Message);
        }
    }
    #endregion
    protected void btnDelete_Click(object sender, EventArgs e)
    {
        try
        {
            for (int i = 0; i <= gvHelpCenter.Rows.Count - 1; i++)
            {

                CheckBox cbox = (CheckBox)gvHelpCenter.Rows[i].FindControl("CheckBox1");
                if (cbox.Checked == true)
                {
                    int id = Convert.ToInt32(gvHelpCenter.DataKeys[i]["ID"].ToString());
                    IHelpCenter RHelp = new RHelpCenter();
                    int m = RHelp.Delete(id);
                }
            }
            Bind();
        }
        catch (Exception ex)
        {
            ShowMessage(ex.Message);
        }
    }
    public string GetShortDate(string dateStr)
    {
        if (dateStr != string.Empty)
        {
            return Convert.ToDateTime(dateStr).ToShortDateString();
        }
        else
            return string.Empty;
    }

    #region 分页事件
    protected void btn_pageFirst_Click(object sender, EventArgs e)
    {
        //首页事件
        this.Pageindex = 1;
        Bind();
    }
    protected void btn_pageLast_Click(object sender, EventArgs e)
    {
        //上一页
        this.Pageindex--;
        Bind();
    }
    protected void btn_pageNext_Click(object sender, EventArgs e)
    {
        //下一页
        this.Pageindex++;
        Bind();
    }
    protected void btn_pageFoot_Click(object sender, EventArgs e)
    {
        //末页
        this.Pageindex = PageCount % pageSize == 0 ? PageCount / pageSize : PageCount / pageSize + 1;
        Bind();
    }
    protected void btn_go_Click(object sender, EventArgs e)
    {
        //跳到指定的页
        string txtNumber = this.txt_PageNum.Text.ToString().Trim();
        int index = 1;
        if (Base.Common.CheckNum(txtNumber))
        {
            index = Convert.ToInt32(txtNumber);
            if (index >= 1 && index <= (PageCount % pageSize == 0 ? PageCount / pageSize : PageCount / pageSize + 1))
            {
                Pageindex = index;
                Bind();
            }
            else
            {
                Pageindex = 1;
                this.txt_PageNum.Text = "输入错误";
            }
        }
        else
        {
            Pageindex = 1;
            this.txt_PageNum.Text = "输入错误";
        }
    }
    #endregion

   
    protected void gvHelpCenter_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        try
        {
            int id = int.Parse(gvHelpCenter.DataKeys[e.RowIndex]["ID"].ToString());
            IHelpCenter RHelp = new RHelpCenter();
            int m = RHelp.Delete(id);
            Bind();
        }
        catch (Exception ex)
        {
            ShowMessage(ex.Message);
        }
    }
    protected void gvHelpCenter_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            e.Row.Attributes.Add("onMouseOver", "SetNewColor(this);");
            e.Row.Attributes.Add("onMouseOut", "SetOldColor(this)");
        }
    }
}
